BitronixXAException (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.internal
Class BitronixXAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.xa.XAException
                  bitronix.tm.internal.BitronixXAException

All Implemented Interfaces:
  Serializable

    public class BitronixXAException

extends XAException

Subclass of `XAException` supporting nested `Throwable`s.

Author:
  lorban
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.transaction.xa.XAException
`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

Constructor Summary
`BitronixXAException(String message, int errorCode)`
`BitronixXAException(String message, int errorCode, Throwable t)`

Method Summary
`static boolean` | `isUnilateralRollback(XAException ex)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitronixXAException

    public BitronixXAException(String message,
                               int errorCode)

### BitronixXAException

    public BitronixXAException(String message,
                               int errorCode,
                               Throwable t)

Method Detail

### isUnilateralRollback

    public static boolean isUnilateralRollback(XAException ex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.